Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.jboss.remoting
Class InvocationRequest

    java.lang.Object
      org.jboss.remoting.InvocationRequest

All Implemented Interfaces:
  Serializable

public class InvocationRequest
extends Object
implements Serializable

InvocationRequest is passed to ServerInvocationHandler which encapsulates the unmarshalled method invocation parameters from the ServerInvoker.

Version:
  $Revision: 1.5 $
Author:
  Jeff Haynie
See Also:
  Serialized Form

Constructor Summary
`InvocationRequest(String sessionId, String subsystem, Object arg, Map requestPayload, Map returnPayload, InvokerLocator locator)`

Method Summary
`InvokerLocator` | `getLocator()`
`Object` | `getParameter()`
`Map` | `getRequestPayload()`
`Map` | `getReturnPayload()`
`String` | `getSessionId()`
`String` | `getSubsystem()`
`void` | `setLocator(InvokerLocator locator)`
`void` | `setParameter(Object arg)`
`void` | `setRequestPayload(Map requestPayload)`
`void` | `setReturnPayload(Map returnPayload)`
`void` | `setSessionId(String sessionId)`
`void` | `setSubsystem(String subsystem)`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### InvocationRequest

    public InvocationRequest(String sessionId,
                             String subsystem,
                             Object arg,
                             Map requestPayload,
                             Map returnPayload,
                             InvokerLocator locator)

Method Detail

### getLocator

    public InvokerLocator getLocator()

### setLocator

    public void setLocator(InvokerLocator locator)

### getSubsystem

    public String getSubsystem()

### setSubsystem

    public void setSubsystem(String subsystem)

### getSessionId

    public String getSessionId()

### setSessionId

    public void setSessionId(String sessionId)

### getParameter

    public Object getParameter()

### setParameter

    public void setParameter(Object arg)

### getRequestPayload

    public Map getRequestPayload()

### setRequestPayload

    public void setRequestPayload(Map requestPayload)

### getReturnPayload

    public Map getReturnPayload()

### setReturnPayload

    public void setReturnPayload(Map returnPayload)

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2002 JBoss Group, LLC. All Rights Reserved.